ApiAudit (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiAudit

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAudit

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiAudit
      extends Object

  Models audit events from both CM and CM managed services like HDFS, HBase and Hive. Audits for CM managed services are retrieved from Cloudera Navigator server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAudit()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAudit` | `allowed(Boolean allowed)`
    `ApiAudit` | `command(String command)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getAllowed()` Whether the operation was allowed or denied by the authorization system.
    `String` | `getCommand()` The command/operation that was requested.
    `String` | `getImpersonator()` The impersonating user (or the proxy user) who submitted this operation.
    `String` | `getIpAddress()` The IP address that the client connected from.
    `String` | `getOperationText()` The full text of the requested operation.
    `String` | `getResource()` The resource that the operation was performed on.
    `String` | `getService()` Service name associated with this audit.
    `Map<String,String>` | `getServiceValues()`
    `String` | `getTimestamp()` When the audit event was captured.
    `String` | `getUsername()` The user who performed this operation.
    `int` | `hashCode()`
    `ApiAudit` | `impersonator(String impersonator)`
    `ApiAudit` | `ipAddress(String ipAddress)`
    `ApiAudit` | `operationText(String operationText)`
    `ApiAudit` | `putServiceValuesItem(String key, String serviceValuesItem)`
    `ApiAudit` | `resource(String resource)`
    `ApiAudit` | `service(String service)`
    `ApiAudit` | `serviceValues(Map<String,String> serviceValues)`
    `void` | `setAllowed(Boolean allowed)`
    `void` | `setCommand(String command)`
    `void` | `setImpersonator(String impersonator)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setOperationText(String operationText)`
    `void` | `setResource(String resource)`
    `void` | `setService(String service)`
    `void` | `setServiceValues(Map<String,String> serviceValues)`
    `void` | `setTimestamp(String timestamp)`
    `void` | `setUsername(String username)`
    `ApiAudit` | `timestamp(String timestamp)`
    `String` | `toString()`
    `ApiAudit` | `username(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAudit

          public ApiAudit()

  - ### Method Detail

    - #### timestamp

          public ApiAudit timestamp(String timestamp)

    - #### getTimestamp

          public String getTimestamp()

      When the audit event was captured.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(String timestamp)

    - #### service

          public ApiAudit service(String service)

    - #### getService

          public String getService()

      Service name associated with this audit.
      Returns:
        service

    - #### setService

          public void setService(String service)

    - #### username

          public ApiAudit username(String username)

    - #### getUsername

          public String getUsername()

      The user who performed this operation.
      Returns:
        username

    - #### setUsername

          public void setUsername(String username)

    - #### impersonator

          public ApiAudit impersonator(String impersonator)

    - #### getImpersonator

          public String getImpersonator()

      The impersonating user (or the proxy user) who submitted this operation. This is usually applicable when using services like Oozie or Hue, who can be configured to impersonate other users and submit jobs.
      Returns:
        impersonator

    - #### setImpersonator

          public void setImpersonator(String impersonator)

    - #### ipAddress

          public ApiAudit ipAddress(String ipAddress)

    - #### getIpAddress

          public String getIpAddress()

      The IP address that the client connected from.
      Returns:
        ipAddress

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### command

          public ApiAudit command(String command)

    - #### getCommand

          public String getCommand()

      The command/operation that was requested.
      Returns:
        command

    - #### setCommand

          public void setCommand(String command)

    - #### resource

          public ApiAudit resource(String resource)

    - #### getResource

          public String getResource()

      The resource that the operation was performed on.
      Returns:
        resource

    - #### setResource

          public void setResource(String resource)

    - #### operationText

          public ApiAudit operationText(String operationText)

    - #### getOperationText

          public String getOperationText()

      The full text of the requested operation. E.g. the full Hive query. <p> Available since API v5.
      Returns:
        operationText

    - #### setOperationText

          public void setOperationText(String operationText)

    - #### allowed

          public ApiAudit allowed(Boolean allowed)

    - #### getAllowed

          public Boolean getAllowed()

      Whether the operation was allowed or denied by the authorization system.
      Returns:
        allowed

    - #### setAllowed

          public void setAllowed(Boolean allowed)

    - #### serviceValues

          public ApiAudit serviceValues(Map<String,String> serviceValues)

    - #### putServiceValuesItem

          public ApiAudit putServiceValuesItem(String key,
                                               String serviceValuesItem)

    - #### getServiceValues

          public Map<String,String> getServiceValues()

      Returns:
        serviceValues

    - #### setServiceValues

          public void setServiceValues(Map<String,String> serviceValues)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.